const path = require('path');

module.exports = {
    name: 'bootloader',
    mode: 'development',
    watch: false,
	context: __dirname,
    entry: './app/custom/lib/imageCreatorCodec.ts',
    output: {
        filename: 'bootloader-bundle.js',
        path: path.resolve(__dirname, './app/custom/dist')
    },
	devtool: 'inline-source-map',
    module: {
        rules: [

            /*******************
             * Loader
             *******************/
            {
                test: /\.ts?$/,
                exclude: /node_modules/,
                loader: 'ts-loader'
            }
        ]
    },
    resolve: {
        extensions: ['.ts'],
		modules: [
            path.resolve(__dirname, './app/custom/lib'),
        ]
	}
};